

기계 번역으로 제공되는 번역입니다. 제공된 번역과 원본 영어의 내용이 상충하는 경우에는 영어 버전이 우선합니다.

# Neptune 로더 작업 취소
<a name="load-api-reference-cancel"></a>

로드 작업을 취소합니다.

작업을 취소하려면 HTTP `DELETE` 요청을 `https://your-neptune-endpoint:port/loader` 엔드포인트로 전송해야 합니다. `loadId`가 `/loader` URL 경로에 추가되거나, URL에 변수로 포함될 수 있습니다.

## 작업 취소 요청 구문
<a name="load-api-reference-cancel-syntax"></a>

```
DELETE https://your-neptune-endpoint:port/loader?loadId=loadId
```

```
DELETE https://your-neptune-endpoint:port/loader/loadId
```

## 작업 취소 요청 파라미터
<a name="load-api-reference-cancel-parameters"></a>

**loadId**  
로드 작업의 ID.

## 작업 취소 응답 구문
<a name="load-api-reference-cancel-parameters-response"></a>

```
no response body
```

**200 OK**  
성공적으로 삭제된 로드 작업은 `200` 코드를 반환합니다.

## 작업 취소 오류
<a name="load-api-reference-cancel-parameters-errors"></a>

오류가 발생하면 응답의 `BODY`에 JSON 객체가 반환됩니다. `message` 객체에는 오류 설명이 포함됩니다.

**오류 범주**
+ **`Error 400`**   –   잘못된 `loadId`는 HTTP `400` Bad Request 오류를 반환합니다. 메시지에서 오류를 설명합니다.
+ **`Error 500`**   –   처리할 수 없는 유효 요청은 HTTP `500` 내부 서버 오류를 반환합니다. 메시지에서 오류를 설명합니다.

## 작업 취소 오류 메시지
<a name="load-api-reference-cancel-parameters-errors-messages"></a>

다음은 오류 설명이 있는 취소 API의 가능한 오류 메시지입니다.
+ `The load with id = load_id does not exist or not active`(HTTP 404)   –   이 로드를 찾을 수 없습니다. `id` 파라미터 값을 확인하십시오.
+ `Load cancellation is not permitted on a read replica instance.`(HTTP 405)   –   로드는 쓰기 작업입니다. 읽기/쓰기 클러스터 엔드포인트의 로드를 다시 시도하십시오.

## 작업 취소 예제
<a name="load-api-reference-cancel-examples"></a>

**Example 요청**  
다음은 `curl` 명령을 사용하여 HTTP `DELETE`을 통해 전송된 요청입니다.  

```
aws neptunedata cancel-loader-job \
  --endpoint-url https://your-neptune-endpoint:port \
  --load-id 0a237328-afd5-4574-a0bc-c29ce5f54802
```
자세한 내용은 AWS CLI 명령 참조의 [cancel-loader-job](https://docs.aws.amazon.com/cli/latest/reference/neptunedata/cancel-loader-job.html)을 참조하세요.

```
import boto3
from botocore.config import Config

client = boto3.client(
    'neptunedata',
    endpoint_url='https://your-neptune-endpoint:port',
    config=Config(read_timeout=None, retries={'total_max_attempts': 1})
)

response = client.cancel_loader_job(
    loadId='0a237328-afd5-4574-a0bc-c29ce5f54802'
)

print(response)
```

```
awscurl 'https://your-neptune-endpoint:port/loader/0a237328-afd5-4574-a0bc-c29ce5f54802' \
  --region us-east-1 \
  --service neptune-db \
  -X DELETE
```
이 예제에서는 자격 AWS 증명이 환경에 구성되어 있다고 가정합니다. *us-east-1*을 Neptune 클러스터의 리전으로 바꿉니다.

```
curl -X DELETE 'https://your-neptune-endpoint:port/loader/0a237328-afd5-4574-a0bc-c29ce5f54802'
```